> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zixflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get SMS Message Report

#### Path Params

<ParamField path="messageId" type="string" required placeholder="Enter Message ID">
  Enter the message ID that you received when sending the campaign.
</ParamField>

#### Response

<ResponseField name="status" type="boolean">
  Indicates whether the call was successful. true if successful, false if not.
</ResponseField>

<ResponseField name="message" type="string">
  success or error response message
</ResponseField>

<ResponseField name="data" type="array_object">
  The contents of uploaded file

  <Expandable title="data">
    <ResponseField name="accountId" type="string">
      It refers to your account ID or workspace ID.
    </ResponseField>

    <ResponseField name="messageId" type="string">
      It refers to your message ID
    </ResponseField>

    <ResponseField name="campaignId" type="string">
      It refers to your campaign ID.
    </ResponseField>

    <ResponseField name="status" type="string">
      It refers to report status (SENT, DELIVERED, UNDELIVERED)
    </ResponseField>

    <ResponseField name="statusAt" type="string">
      It refers to last status time
    </ResponseField>

    <ResponseField name="destination" type="string">
      It refers to the recipient's phone number where the message was sent.
    </ResponseField>

    <ResponseField name="remark" type="string">
      It refers to failed reason for message if it failed or undelivered.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json 200-Success theme={null}
  {
    "status": true,
    "message": "Successfully fetched",
    "data": {
      "accountId": "652e5068c33fe15059e5s020",
      "messageId": "66e120d1b9ee33b6ba00fsd7",
      "campaignId": "66e120d1b9eht5059e5e01d",
      "status": "DELIVERED",
      "statusAt": "2024-09-11T04:47:16.000Z",
      "destination": "919090909090",
      "remark": ""
    }
  }
  ```

  ```json 400-Bad Request theme={null}
  {
    "status": false,
    "message": "Report data not found"
  }
  ```

  ```json 401-Unauthorised theme={null}
  {
    "status": false,
    "message": "No token provided"
  }
  ```
</ResponseExample>
